Python is an interpreted programming language that is often, but not solely, used as a scripting language. A version of Python is included by default on all Ubuntu distributions.

learn more… | top users | synonyms

10
votes
5answers
2k views

Why do most GNOME developers prefer Python over Java for GTK+ programming? [closed]

I only know C and Java. And I really don't want to learn another language when I can work with what I already know. I haven't ever written a GTK+ application, but I am planning to start with an ...
5
votes
3answers
11k views

How do I install Python 2.6?

I'm very new in Ubuntu,also in Linux. I've just installed Ubuntu 11.04 which comes with python 2.7 by default. But I want to install python 2.6, how am I about to do that? Thanks.
3
votes
1answer
4k views

How to point /usr/bin/python to python2.6?

I had done something like: http://paste.ubuntu.com/704579/ I kind of want to undo that one. While trying to remove virtualbox-ose I get the error saying Removing virtualbox-ose ... * Stopping ...
3
votes
2answers
2k views

Python/FFMPEG command line issues [closed]

I have a problem with running an FFMPEG command from within a Python script. When I run the following command from the terminal, I can stream video and audio from my attached webcam (Logitech C310) ...
8
votes
2answers
241 views

Can I use aptana with Quickly?

I want to develop python apps with aptana, I really love this editor. Is possible to develop python apps with quickly + aptana or only quickly + gedit?
4
votes
2answers
5k views

Building a static version of Python?

I tried asking this question at StackOverflow, but the dead silence that followed made me wonder if some more Ubuntu-specific expertise might be required. I am trying to build a static version of ...
0
votes
1answer
463 views

DBUS Exception when using Quickly

Today I wanted to test Quickly. I normally used: quickly create ubuntu-application appname to create the files of my aplication. It takes a long time and after a time it says Dbus Exception. Here the ...
2
votes
1answer
422 views

Growl-type messages in Ubuntu

I'm working on a Python application that runs in the system tray and displays notifications to the user in the form of popups. It uses Growl on Macs and Growl for Windows on Windows. I've tried ...
7
votes
2answers
274 views

Dynamic shortcuts for Messaging Menu?

I'm Unity Mail developer and I wonder if it's possible to add a shortcut to Messaging Menu from within the application (it's written in Python). I need to connect it's user-display to a function in ...
3
votes
2answers
384 views

How to use stdeb with Launchpad?

I know that launchpad has the policy of only allowing upload of source packages on PPA's (as also explained here). Yet, a python .deb package has all the source in it and it seems silly that one ...
4
votes
1answer
1k views

How to create appmenu in using python3 and PyQt?

I am looking for a way to create appmenu indicator using python3.2 and pyqt4. Please help me.
4
votes
5answers
653 views

Python won't run in terminal

In an attempt to get CairoPlot to run correctly on my Ubuntu 11.04, I stupidly copied the CairoPlot.py into my /usr/local/bin/python dir. When I realized that this wasn't the way to go, I deleted the ...
1
vote
1answer
940 views

PyQt apps cause Window Manager to crash - where's the problem?

I've upgraded to Ubuntu 11.10 and I have a strange problem. PyQt apps, like ReText and the one below, cause window manager to go crazy. Metacity crashes, Compiz hangs, GNOME Shell / Mutter displays ...
2
votes
1answer
97 views

What files can I delete to avoid repeating the Python libraries?

I installed SAGE mathematics from binary because there was no package for it in synaptic. From reading on the web I learned that SAGE brings its own python libraries rather than using the ones Ubuntu ...
6
votes
0answers
13k views

A great Python IDE for Ubuntu [duplicate]

Possible Duplicate: What IDEs are available for Ubuntu? I want to develop Python apps in Ubuntu, and I'm tired of working with gedit one time and another. So I'm trying to find a great ...
1
vote
1answer
46 views

How do I update envisage v3 to envisage v4

I just installed the envisag 3.x plugin from the Ubuntu Software Center, My question is, how can I update this to envisage 4.x. I'm using python 2.6 and Ubuntu 10.04 LTS 64bit
2
votes
2answers
6k views

Compile 32 bit on 64 bitsystem

I'm trying to compile a 32 bit version of python on a 64 bit ubuntu system with the following configure command: CC="gcc -m32" LDFLAGS="-L/lib32 -L/usr/lib32 \ -Lpwd/lib32 -Wl,-rpath,/lib32 \ ...
3
votes
2answers
335 views

How can I make libjpeg available to python2.5?

I am running Ubuntu 11.04. Along with python 2.7 I have also 2.6 and 2.5. I am using 2.5 version to work and deploy my applications on App Engine. I have installed PIL (Python Image library) but ...
12
votes
3answers
2k views

Where to store user settings for an app?

If I want my application to store a few settings, that persist when an application closes, then where should I store them? I'm not talking anything complicated: two booleans and a string (although in ...
4
votes
3answers
9k views

How to install a different version of python-dev?

The default python version on my ubuntu system is 2.7, but 2.6 is still present. I've installed headers (apt-get install python-dev), since it's needed to compile and install python packages, for ...
4
votes
1answer
158 views

How do I make my apps windows get their own Unity launchers?

I'm writing an application that potentially uses quite a few windows. It would be nice if I could make at least some of those windows get their own Unity launcher entries. How do I do that?
2
votes
1answer
462 views

Issues after Marlin file browser installation?

Someday ago I tried the Marlin file browser (a nice crossover between thunar, nautilus and windows explorer) from elementary-dev PPA. Then I've encountered some troubles in updating packages. ...
16
votes
2answers
2k views

Developing Unity compliant apps in Python - where to start?

I'm an experienced programmer who is interested in developing apps for Linux, specifically GTK, and more specifically apps that are Unity compliant. Aside from the obvious step of learning Python, ...
6
votes
3answers
1k views

Where is the reference to the currently used icon theme stored?

There are several related questions, but I found none that really answered this detail: Where is the reference to the current icon theme stored? Since the icon theme can be changed, hence so too ...
6
votes
2answers
370 views

Is there a way to test packages I build for correct dependencies?

I'm absolutely new to packaging, so forgive me if I am asking something obvious for an experienced packager... How can I be sure that mentioned all the dependencies correctly in my package? Say that ...
94
votes
9answers
86k views

Is there an GUI Designer for python?

Is there a GUI IDE for programming python just like java has netbeans? I wanted one where we could drag & drop test boxes & labels just as we do in swing components using netbeans or eclipse. ...
1
vote
1answer
451 views

SSLHandShake Error while porting ubuntuone-client without gnome and nautilus dependencies

Following this question How to build ubuntuone-client so that it doesn't depend on nautilus and gnome I am stuck. The ubuntu-sso login prompt does nothing after I enter email and password. ...
2
votes
0answers
550 views

Python 3.2 installation using UCS-4 environment [closed]

I building applications using Qt4 to develop the UI and python 3.2 OS UBUNTU 10.04 Python 3.2 is installed but fails the following from PyQt4.QtGui import * Traceback (most recent call last): File ...
1
vote
2answers
869 views

How can I correctly install multiple non-package Distribute/virtualenv/pip ecosystems on Ubuntu?

I am developing Python applications in Ubuntu. I want to setup a Distribute/virtualenv/pip ecosystem to manage my Python packages independently of any system Python packages (which I manage in ...
7
votes
1answer
6k views

“command 'gcc' failed” when trying to install a Python package from pypi

I'm trying to install 'pyskein' from the Python package index (sudo easy_install3 skein), but the installation fails with this error: src/threefish.c:23:20: fatal error: Python.h: No such file or ...
6
votes
2answers
2k views

Is there a pywinauto equivalent to automate the GUI from Python?

pywinauto is a set of python modules to automate the Microsoft Windows GUI. At it’s simplest it allows you to send mouse and keyboard actions to windows dialogs and controls. Is there a linux ...
1
vote
1answer
140 views

“Cannot import name genshi” error when installing the Swab library

I'm trying to install the Swab library for Python 2.6 in Ubuntu 10.10. However, I get the following error messages when I try to import it. In the terminal I ran: sudo easy_install swab sudo ...
3
votes
1answer
658 views

Unity broken after attempted program install [closed]

I followed these ( http://blog.mypapit.net/2011/05/howto-mining-bitcoin-in-ubuntu-using-opencl-py.html ) directions without any error and now the launch bar for unity is no longer displayed. Can ...
5
votes
2answers
779 views

How to re-start a python script without killing other python processes

I develop an app called Unity Mail. A quicklist option «Edit accounts data» needs to restart it. File /usr/bin/unity-mail: #!/bin/sh python /usr/share/unity-mail/unity-mail.py $@ File ...
4
votes
1answer
7k views

How do I update virtualenv?

I have installed python-virtualenv version 1.4.9 and the latest version is 1.6.1. How do I update to version 1.6.1. Do I have to uninstall version 1.4.9? If so, how do I uninstall it? (Crossposted ...
0
votes
1answer
456 views

Lua or Ruby (or something else?) for scripting?

I'm making a program in Java and I'm choosing a language for scripting. I'm aiming for speed and for being easy to learn/code for a java program. (So what I mean by Ruby and Lua is JRuby or LuaJ or ...
26
votes
3answers
9k views

How do I get started creating an Ubuntu Desktop App?

I want to create an Ubuntu desktop app, specifically to replace Gwibber. I can code in Java, Python and a few other technologies. Adobe Flex would have been an option until Adobe decided to suck some ...
2
votes
1answer
111 views

Indicator menu from gtk.Builder ui string

I've created an indicator that I think should work, but doesn't. I've added the UI interface from a glade file, loaded it and added the menu to appindicator. The following is the entire source code ...
2
votes
2answers
2k views

How do I partially suppress the command-line output of zip?

The Background: I have a python script that generates a bunch of images (png format, minimum of several hundred), runs ffmpeg to turn them into a short video, and then puts all of the images into a ...
5
votes
1answer
464 views

Where is my Ubuntu One ribbon?

I'm not seeing the Ubuntu One ribbon in Nautilus-Elementary. I have the nautilus-terminal extension as well, so I don't know if they don't work together. I tried running nautilus from the terminal ...
3
votes
2answers
2k views

Shell script to restart a process if it outputs a certain piece of text

I have a python program which, from time to time, crashes with a number of different exceptions usually due to network issues. The only way to get it to work is to restart it. How would I write a ...
3
votes
2answers
2k views

How do I migrate to a newer Python version and still use packages in the old version?

On Ubuntu 10.04 I recently installed Python 2.7.1 (ActivePython from ActiveState). I use meld to diff code and had no issues with Python 2.6.5, but after moving to 2.7.1 I get the following error when ...
1
vote
1answer
4k views

How can I upgrade to Python 2.7

I am on Ubuntu 11.04 and have Python 2.6 installed. I would like to upgrade to Python 2.7. How should I go about doing this?
4
votes
3answers
3k views

How do I get the names in my icon theme for use with pythons appindicator module?

How do I get the strings I can insert instead of 'gtk-execute'? #!/usr/bin/python import gobject import gtk import appindicator if __name__ == "__main__": ind = ...
1
vote
1answer
344 views

How can I change labels created with build_menu_from_desktop() in pythons appindicator module?

Suppose I created an indicator with appindicator for python. Suppose I used the line build_menu_from_desktop("/my/path/myfile.desktop", "Unity") for that. How would I go about changing the created ...
14
votes
1answer
2k views

Is there a detailed API documentation on the python binding for appindicator?

I'm getting serous with a project of my own and need a good documentation on the appindicator module for python. What I've found so far: API documentation on dev.ubuntu.com Community wiki entry API ...
9
votes
3answers
2k views

Has anyone managed to configure Nautilus to show EXIF data?

I followed instructions on the Ubuntu Forums to configure Nautilus to display additional information about image files - specifically, the EXIF data: [SOLVED] Adding mp3 info columns (e.g. bitrate, ...
2
votes
2answers
487 views

Unity Launcher shows two questionmarks when running PyMol

pymol is started through a wrapper script. Once it runs I get two questionmarks in the Launcher. Pymol itself has an icon in the dash. But as 'pymol' is only the wrapper this icon is not used when the ...
2
votes
1answer
667 views

Can't run desktop python applications when switching out the default Python version

I work on Google Appengine which requires Python 2.5. We all know that Python 2.5 is not supported by latest release of Ubuntu. Ubuntu programs such as Software Center and Gwibber are highly dependent ...
0
votes
1answer
578 views

How to fix install of Python 2.5.4?

I tried to install python 2.5.4 on Ubuntu 11.04. I need to be able to remove my original installation of this older python, and then get instructions on installing. Further, will I have to tell the ...